[tool.poetry]
name = "pokeapi"
version = "0.2.0"
description = "A sample API based on Pokemon theme to test frontend candidates"
license = "MPL-2.0"
authors = ["HacKan <hackan@nevrona.org>"]
readme = "README.md"
repository = "https://gitlab.com/nevrona/public/skels/fastapi"
classifiers = [
    "Development Status :: 2 - Pre-Alpha",
    "Topic :: Internet :: WWW/HTTP :: WSGI :: Application",
    "Programming Language :: Python :: 3 :: Only",
    "Programming Language :: Python :: 3.8",
    "Natural Language :: English",
]
include = ["pyproject.toml"]

[[tool.poetry.source]]
name = "nevrona"
url = "https://pypi.nevrona.org/"
default = false

[tool.poetry.dependencies]
python = "^3.8"
uvicorn = "^0"
gunicorn = "^20"
fastapi = "^0"
sqlalchemy = "^1.3.15"
sqlalchemy-utils = "^0.36.3"
cockroachdb = "^0"
psycopg2 = "^2.8.4"

[tool.poetry.dev-dependencies]
flake8 = "^3.7.8"
flake8-rst-docstrings = "^0"
flake8-import-order = "^0"
flake8-blind-except = "^0"
flake8-builtins = "^1.4.1"
flake8-logging-format = "^0.6.0"
flake8-docstrings = "^1.4.0"
flake8-quotes = "^3.0.0"
flake8-debugger = "^3.1.0"
flake8-bugbear = "^20.1.2"
flake8-comprehensions = "^3.1.4"
flake8-bandit = "^2.1.1"
flake8-commas = "^2.0.0"
flake8-eradicate = "^0"
flake8-broken-line = "^0"
flake8-string-format = "^0"
flake8-annotations-complexity = "^0"
flake8-executable = "^2.0.3"
pep8-naming = "^0"
pydocstyle = "^5.0.1"
bandit = "^1.6.2"
invoke = "^1.3.0"
coverage = "^5.0.2"
nose2 = "^0"
aiofiles = "^0"
requests = "^2.23.0"
radon = "^4.1.0"
mccabe = "^0.6.1"
dlint = "^0.10.3"
schemathesis = "^1.6.0"

[build-system]
requires = ["poetry>=0.12"]
build-backend = "poetry.masonry.api"
